.button-92 {
    --c: #fff;
    /* text color */
    background: linear-gradient(90deg, #0000 33%, #fff5, #0000 67%) var(--_p, 100%)/300% no-repeat,
        var(--tp-theme-1);
    /* background color */
    color: #0000;
    border: none;
    transform: perspective(500px) rotateY(calc(20deg*var(--_i, -1)));
    text-shadow: calc(var(--_i, -1)* 0.08em) -.01em 0 var(--c),
        calc(var(--_i, -1)*-0.08em) .01em 2px #0004;
    outline-offset: .1em;
    transition: 0.3s;
}


.button-92:hover,
.button-92:focus-visible {
    --_p: 0%;
    --_i: 1;
}

.button-92:active {
    text-shadow: none;
    color: var(--c);
    box-shadow: inset 0 0 9e9q #0005;
    transition: 0s;
}

.button-92 {
    font-weight: bold;
    cursor: pointer;
    box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.5);
    -webkit-box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0px 0px 9px 0px rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    display: inline-block;
}


.anime-bg-color {
    background: linear-gradient(90deg, #0000 33%, #fff5, #0000 67%) var(--_p, 100%)/300% no-repeat,
    var(--tp-theme-1);
    transition: 0.3s;
}
.anime-bg-color:hover{
    --_p: 0%;
}